diff --git a/src/doom/g_game.c b/src/doom/g_game.c
index d3b2f3e44f..4df4f7e4be 100644
--- a/src/doom/g_game.c
+++ b/src/doom/g_game.c
@@ -1319,6 +1319,15 @@ int cpars[32] =
     240,150,180,150,150,300,330,420,300,180,	// 21-30
     120,30					// 31-32
 };
+
+// Chex Quest Par Times
+int qpars[4][10] = 
+{ 
+    {0}, 
+    {0,120,360,480,200,360,180,180,30,165}, 
+    {0,90,90,90,120,90,360,240,30,170}, 
+    {0,90,45,90,150,90,90,165,30,135} 
+}; 
  
 
 //
@@ -1480,7 +1489,14 @@ void G_DoCompleted (void)
     // overflows into the cpars array.
     else if (gameepisode < 4)
     {
-        wminfo.partime = TICRATE*pars[gameepisode][gamemap];
+        if (gameversion == exe_chex)
+        {
+            wminfo.partime = TICRATE*qpars[gameepisode][gamemap];
+        }
+        else
+        {
+            wminfo.partime = TICRATE*pars[gameepisode][gamemap];
+        }
     }
     else
     {
